petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSView

Prints the TS data structure.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSView(TS ts,PetscViewer viewer)

Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| viewer | - visualization context

### Options Database Key

-ts_view -calls TSView() at end of TSStep()

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### See Also

PetscViewerASCIIOpen()

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex28.c.html

### Implementations

TSView_ARKIMEX in src/ts/impls/arkimex/arkimex.c
TSView_BDF in src/ts/impls/bdf/bdf.c
TSView_EIMEX in src/ts/impls/eimex/eimex.c
TSView_Euler in src/ts/impls/explicit/euler/euler.c
TSView_RK in src/ts/impls/explicit/rk/rk.c
TSView_SSP in src/ts/impls/explicit/ssp/ssp.c
TSView_GLEE in src/ts/impls/glee/glee.c
TSView_Alpha in src/ts/impls/implicit/alpha/alpha1.c
TSView_Alpha in src/ts/impls/implicit/alpha/alpha2.c
TSView_GLLE in src/ts/impls/implicit/glle/glle.c
TSView_Sundials in src/ts/impls/implicit/sundials/sundials.c
TSView_Theta in src/ts/impls/implicit/theta/theta.c
TSView_BEuler in src/ts/impls/implicit/theta/theta.c
TSView_CN in src/ts/impls/implicit/theta/theta.c
TSView_Mimex in src/ts/impls/mimex/mimex.c
TSView_MPRK in src/ts/impls/multirate/mprk.c
TSView_Pseudo in src/ts/impls/pseudo/posindep.c
TSView_RosW in src/ts/impls/rosw/rosw.c
TSView_BasicSymplectic in src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages